Open CASCADE Technology: GeomFill_DraftTrihedron Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomFill_DraftTrihedron Class Reference

`#include <GeomFill_DraftTrihedron.hxx>`

Inheritance diagram for GeomFill_DraftTrihedron:
[legend]

## Public Member Functions
| GeomFill_DraftTrihedron (const gp_Vec &BiNormal, const Standard_Real Angle)
void | SetAngle (const Standard_Real Angle)
virtual Handle< GeomFill_TrihedronLaw > | Copy () const
virtual Standard_Boolean | D0 (const Standard_Real Param, gp_Vec &Tangent, gp_Vec &Normal, gp_Vec &BiNormal)
| compute Triedrhon and derivative Trihedron on curve at parameter Warning : It used only for C1 or C2 aproximation More...
virtual Standard_Boolean | D1 (const Standard_Real Param, gp_Vec &Tangent, gp_Vec &DTangent, gp_Vec &Normal, gp_Vec &DNormal, gp_Vec &BiNormal, gp_Vec &DBiNormal)
| compute Trihedron on curve first and seconde derivatives. Warning : It used only for C2 aproximation More...
virtual Standard_Boolean | D2 (const Standard_Real Param, gp_Vec &Tangent, gp_Vec &DTangent, gp_Vec &D2Tangent, gp_Vec &Normal, gp_Vec &DNormal, gp_Vec &D2Normal, gp_Vec &BiNormal, gp_Vec &DBiNormal, gp_Vec &D2BiNormal)
| compute Trihedron on curve first and seconde derivatives. Warning : It used only for C2 aproximation More...
virtual Standard_Integer | NbIntervals (const GeomAbs_Shape S) const
| Returns the number of intervals for continuity <S>. May be one if Continuity(me) >= <S> More...
virtual void | Intervals (TColStd_Array1OfReal &T, const GeomAbs_Shape S) const
| Stores in <T> the parameters bounding the intervals of continuity <S>. More...
virtual void | GetAverageLaw (gp_Vec &ATangent, gp_Vec &ANormal, gp_Vec &ABiNormal)
| Get average value of Tangent(t) and Normal(t) it is usefull to make fast approximation of rational surfaces. More...
virtual Standard_Boolean | IsConstant () const
| Say if the law is Constant. More...
virtual Standard_Boolean | IsOnlyBy3dCurve () const
| Return True. More...
Public Member Functions inherited from GeomFill_TrihedronLaw
virtual void | SetCurve (const Handle< Adaptor3d_HCurve > &C)
virtual GeomFill_PipeError | ErrorStatus () const
| Give a status to the Law Returns PipeOk (default implementation) More...
virtual void | SetInterval (const Standard_Real First, const Standard_Real Last)
| Sets the bounds of the parametric interval on the function This determines the derivatives in these values if the function is not Cn. More...
void | GetInterval (Standard_Real &First, Standard_Real &Last)
| Gets the bounds of the parametric interval on the function. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Attributes inherited from GeomFill_TrihedronLaw
Handle< Adaptor3d_HCurve > | myCurve
Handle< Adaptor3d_HCurve > | myTrimmed

## Constructor & Destructor Documentation

GeomFill_DraftTrihedron::GeomFill_DraftTrihedron | ( | const gp_Vec & | BiNormal,
|  | const Standard_Real | Angle
| ) |  |

## Member Function Documentation

virtual Handle< GeomFill_TrihedronLaw > GeomFill_DraftTrihedron::Copy | ( |  | ) | const
| virtual

Implements GeomFill_TrihedronLaw.

virtual Standard_Boolean GeomFill_DraftTrihedron::D0 | ( | const Standard_Real | Param,
|  | gp_Vec & | Tangent,
|  | gp_Vec & | Normal,
|  | gp_Vec & | BiNormal
| ) |  |
| virtual

compute Triedrhon and derivative Trihedron on curve at parameter Warning : It used only for C1 or C2 aproximation

Implements GeomFill_TrihedronLaw.

virtual Standard_Boolean GeomFill_DraftTrihedron::D1 | ( | const Standard_Real | Param,
|  | gp_Vec & | Tangent,
|  | gp_Vec & | DTangent,
|  | gp_Vec & | Normal,
|  | gp_Vec & | DNormal,
|  | gp_Vec & | BiNormal,
|  | gp_Vec & | DBiNormal
| ) |  |
| virtual

compute Trihedron on curve first and seconde derivatives. Warning : It used only for C2 aproximation

Reimplemented from GeomFill_TrihedronLaw.

virtual Standard_Boolean GeomFill_DraftTrihedron::D2 | ( | const Standard_Real | Param,
|  | gp_Vec & | Tangent,
|  | gp_Vec & | DTangent,
|  | gp_Vec & | D2Tangent,
|  | gp_Vec & | Normal,
|  | gp_Vec & | DNormal,
|  | gp_Vec & | D2Normal,
|  | gp_Vec & | BiNormal,
|  | gp_Vec & | DBiNormal,
|  | gp_Vec & | D2BiNormal
| ) |  |
| virtual

compute Trihedron on curve first and seconde derivatives. Warning : It used only for C2 aproximation

Reimplemented from GeomFill_TrihedronLaw.

virtual void GeomFill_DraftTrihedron::GetAverageLaw | ( | gp_Vec & | ATangent,
|  | gp_Vec & | ANormal,
|  | gp_Vec & | ABiNormal
| ) |  |
| virtual

Get average value of Tangent(t) and Normal(t) it is usefull to make fast approximation of rational surfaces.

Implements GeomFill_TrihedronLaw.

virtual void GeomFill_DraftTrihedron::Intervals | ( | TColStd_Array1OfReal & | T,
|  | const GeomAbs_Shape | S
| ) |  | const
| virtual

Stores in <T> the parameters bounding the intervals of continuity <S>.

The array must provide enough room to accomodate for the parameters. i.e. T.Length() > NbIntervals()

Implements GeomFill_TrihedronLaw.

virtual Standard_Boolean GeomFill_DraftTrihedron::IsConstant | ( |  | ) | const
| virtual

Say if the law is Constant.

Reimplemented from GeomFill_TrihedronLaw.

virtual Standard_Boolean GeomFill_DraftTrihedron::IsOnlyBy3dCurve | ( |  | ) | const
| virtual

Return True.

Reimplemented from GeomFill_TrihedronLaw.

virtual Standard_Integer GeomFill_DraftTrihedron::NbIntervals | ( | const GeomAbs_Shape | S | ) | const
| virtual

Returns the number of intervals for continuity <S>. May be one if Continuity(me) >= <S>

Implements GeomFill_TrihedronLaw.

void GeomFill_DraftTrihedron::SetAngle | ( | const Standard_Real | Angle | ) |

The documentation for this class was generated from the following file:

- GeomFill_DraftTrihedron.hxx